/*============================================================================
  File:     SimulateDisaster.sql

  Summary:  We'll simulate a "CRASH" 
                crash sql server
                delete the data file
                restart sql server

  SQL Server Versions: 2005+
------------------------------------------------------------------------------
  Written by SQLskills.com

  (c) SQLskills.com. All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you include this copyright and give due
  credit, but you must obtain prior permission before blogging this code.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

-- Simulate the crash (shutdown with nowait is NOT a graceful shutdown)
SHUTDOWN WITH NOWAIT;
GO

-- Now that SQL Server has been shutdown, simulate the disaster by deleting
-- the data file of the database (this is the best case - when the "tail of 
-- the log" IS accessible. This means that we can recover with no data loss.

-- To simulate the disaster you can use the following commands.

-- Cut and paste the commands (2nd line in each) into a command prompt window
-- in order to execute them:

-- Change to the data directory
-- cd\prog*\*sql*\*11.*\mssql\data

-- delete or rename the data file
-- del DBMaint2008.mdf

-- restart SQL Server
-- net start mssqlserver