/*============================================================================
  File:     AnalyzeBackups.sql

  Summary:  This script shows you how to analyze your backups manually by
            reviewing what's in msdb. A bit of a nightmare... and, it
            gets even more complicated using file/filegroup backups.

  SQL Server Versions: 2005+
------------------------------------------------------------------------------
  Written by SQLskills.com

  (c) SQLskills.com. All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you include this copyright and give due
  credit, but you must obtain prior permission before blogging this code.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

---- Try to access the datbase
USE DBMaint2008;
GO

---- Now we have to restore. What backups do we have? 
---- What about from the backup files themselves?

RESTORE HEADERONLY FROM DISK =
	'C:\SQLskills\DBMaint2008_Full_Sunday.bak';
go

RESTORE HEADERONLY FROM DISK =
	'C:\SQLskills\DBMaint2008_Diff_Monday.bak';
go

RESTORE HEADERONLY FROM DISK =
	'C:\SQLskills\DBMaint2008_Log_Monday.bak';
GO

RESTORE HEADERONLY FROM DISK =
	'C:\SQLskills\DBMaint2008_Diff_Tuesday.bak';
go

RESTORE HEADERONLY FROM DISK =
	'C:\SQLskills\DBMaint2008_Log_Tuesday.bak';
GO

RESTORE HEADERONLY FROM DISK =
	'C:\SQLskills\DBMaint2008_Log_Wednesday.bak';
GO

---- A little ungainly. How about from the
---- backup history tables?
USE msdb
go

SELECT Backup_Start_Date,
	(CASE [type]
		WHEN 'D' THEN 'Full'
		WHEN 'I' THEN 'Diff'
		WHEN 'L' THEN 'Log'
		ELSE 'Unknown'
	END) AS 'Type',
	physical_device_name,
	[Position],
	[Name],
	[Description],
	First_LSN, 
	Last_LSN, 
	Backup_Finish_Date, 
	* -- OR Just *
FROM msdb.dbo.backupset AS s
    JOIN msdb.dbo.backupmediafamily AS m
        ON s.media_set_id = m.media_set_id
WHERE database_name = 'DBMaint2008'
ORDER BY 1 ASC
go

sp_delete_database_backuphistory  'DBMaint2008'
go

-- This is better but we had cleared out the prior history...
-- If you have 2 years worth of history then this can be REALLY
-- rough!

-- What's better?
-- 2012's "recovery manager"